<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2018/8/9
 * Time: 17:44
 */
namespace Modules\Project\Services\Counpon\Type;

use Modules\Project\Services\Counpon\UseCouponInterface;

abstract class Base
{
    abstract public static function getName();

    abstract public function validate(UseCouponInterface $order, $config = []);

    abstract public function getRebate(UseCouponInterface $order, $config = []);
}
